org.springframework.mail

## Class MailParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.mail.MailException
          - - org.springframework.mail.MailParseException

All Implemented Interfaces:
  Serializable

    public class MailParseException
    extends MailException

Exception thrown if illegal message properties are encountered.

Author:
  Dmitriy Kopylenko, Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MailParseException(String msg)` Constructor for MailParseException.
`MailParseException(String msg, Throwable cause)` Constructor for MailParseException.
`MailParseException(Throwable cause)` Constructor for MailParseException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MailParseException

    public MailParseException(String msg)

Constructor for MailParseException.

Parameters:
  `msg` - the detail message

#### MailParseException

    public MailParseException(String msg,
                      Throwable cause)

Constructor for MailParseException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the mail API in use

#### MailParseException

    public MailParseException(Throwable cause)

Constructor for MailParseException.

Parameters:
  `cause` - the root cause from the mail API in use